package com.seer.teach.netty.im.handler.mq.impl;

import com.seer.teach.common.dto.mq.StringDTO;
import com.seer.teach.common.enums.im.CommandTopicTagEnum;
import com.seer.teach.common.enums.MessagePushStatusEnums;
import com.seer.teach.netty.common.proto.MessageType;
import com.seer.teach.netty.im.handler.mq.ImCommandHandler;
import com.seer.teach.netty.im.utils.ImUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * <p>
 *
 * </p>
 *
 * @author Captain
 * @since 2025-07-24 20:26
 */
@Slf4j
@Component
public class ErrorHandler implements ImCommandHandler<StringDTO> {
    @Override
    public void handle(StringDTO messageBody, String device) {
        ImUtils.pushSingleChatToDeviceWithAck(
                device,
                MessagePushStatusEnums.SUCCESS.getCode(),
                MessageType.MessageContentType.ERROR.getMsgContentType(),
                messageBody.getData()
        );
    }

    @Override
    public Class<StringDTO> getType() {
        return StringDTO.class;
    }

    @Override
    public String getTag() {
        return CommandTopicTagEnum.ERROR.getTag();
    }
}
